import * as React from 'react';
import { ComboBoxStore, MousePosition } from '@journeyapps-labs/reactor-mod';
import { VSIXTheme } from './theme-utils';
export interface EditorThemePreferencesWidgetProps {
    gotTheme: (theme: VSIXTheme) => any;
}
export declare class UploadVSIXThemeBtnWidget extends React.Component<EditorThemePreferencesWidgetProps> {
    accessor comboBoxStore: ComboBoxStore;
    constructor(props: EditorThemePreferencesWidgetProps);
    doUpload(event: MousePosition, file: File): Promise<void>;
    render(): React.JSX.Element;
}
